/*REESCRIBIR bootstrap.min.css*/	
	
	:root {
		--color-background-login: #000;
		--color-background-general: #E5E5E5;
		--color-background-principal: #FFF;
		--imagen-background-general: url('../optimizadasPanel/fondo.jpg');
	
		--color-primario-claro: #ebf1f8;
		--color-primario-oscuro: #6295cb;
		--color-primario-iluminaciones: #EEEEEE;
		--color-zonas-campos: #f4f7fa;
		--color-fondo-campos: rgba(255,255,255,0);
		--color-fuente: ;
		--color-fuente-subtitulo: #000;
		--color-bordes: #EEEEEE;
		--color-fondo-filtros: #F5F5F5;
		--color-bordes-campos: #DDD;
		--color-cards: #fff;
		--color-contraste: #FFFFFF;
		--color-sombras: rgba(33,33,33,0.5);
		--color-contadores: #d8cef0;
		--color-desactivado: #BBB;
		
		--color-background-barraSuperior: #E5E5E5;
		--color-enlaces-barraSuperior: #D69203;
		--color-enlaces-barraSuperior-hover: #000;
		--sombra-barraSuperior: rgba(0,0,0,0);
		
		--tamano-menuLateral: 260px;
		--padding-menuLateral-verticales: 10px;
		--padding-menuLateral-horizontales: 20px;
		--color-background-menuLateral: #000;
		--color-enlaces-menuLateral: #FFF;
		--color-enlaces-menuLateral-hover: #b5d7fb;
		--color-fondo-menuLateral-hover: rgba(255,255,255,0.2);
		--color-enlaces-menuLateral-activo: #FFF;
		--color-fondo-menuLateral-activo: #6295cb;
		--color-borde-menu: #6295cb;
		--color-hr-menuLateral: rgba(255,255,255,0.2);
		--color-texto-powered: #555;
		--calculo-ancho-powered: calc(var(--tamano-menuLateral) - (var(--padding-menuLateral-horizontales) * 2));
		
		
		--color-background-menuLogo: rgba(0,0,0,0);
		--sombra-menuLogo: rgba(,0,0,0);
		--color-borde-menuLogo: #6295cb;
		
		/*--color-background-barraSuperior: ##333;
		--color-enlaces-barraSuperior: #FFFFFF;
		--color-enlaces-barraSuperior-hover: #8f80b3;
		
		--color-background-menuLateral: ##333;
		--color-enlaces-menuLateral: #FFFFFF;
		--color-enlaces-menuLateral-hover: #8f80b3;
		
		--color-background-menuLogo: ##333;*/
		
		--color-titulos: #333;
		--color-pies: #333;
		
		
		--fuente: 'Montserrat';
		--tamanoFuente: 12px;
		--alturaLinea: 1.5;
		--grosorFuente: 400;
		--grosorTitulos: 600;
		--negrita: 700;
		
		--grosorbordes: 2px;
		
		
		
	}
	
	body {
		font-family: var(--fuente) !important;
		font-size: var(--tamanoFuente) !important;
		color: var(--color-fuente);
		background-color: var(--color-background-general);
		/*background-image: var(--imagen-background-general);*/
		background-repeat: no-repeat;
		background-size: cover;
		line-height: var(--alturaLinea) !important;
		font-weight: var(--grosorFuente) !important;
		padding: 15px 20px 15px 15px;
	}
	/*@media only screen and (max-width: 700px) {
		body {
			font-size: 10px !important;
		}
	}*/
	strong, b {
		font-weight: var(--negrita) !important;
	}
	i.fas, i.fas {
		margin: 5px;
	}
	.mini i.fas, .mini i.fas {
		margin-right: 5px;
	}
	p {
		text-align: justify;
	}
	.tooltip {
		font-size: 11px;
	}
	.navbar {
		box-shadow: none !important;
	}
	.navbar-toggler-icon {
		width: 1em !important;
		height: 1em !important;
	}
	.navbar-toggler {
		padding: 3px !important;
	}
	.navbar-brand {
		margin-right: 0px;
	}
	.md-progress {
		margin-bottom: 10px !important;
	}
	.md-progress .progress-bar {
		background-color: var(--color-primario-oscuro) !important;
	}
	.badge {
		position: absolute;
		margin-top: 3px !important;
		margin-left: 10px !important;
		box-shadow: none !important;
	}
	.badge:empty {
		min-width: 11px !important;
		min-height: 11px !important;
		display: inline-block !important;
	}
	.capaModal {
		width: 100%;
		height: 100%;
		z-index: 500;
		position: fixed;
		background: rgba(0,0,0,0.85);
		top:0px;
		left: 0px;
		display: flex;
		justify-content: center;
		align-items: center;
	}
	.capaModal2 {
		width: 100%;
		height: 100%;
		z-index: 600;
		position: fixed;
		background: rgba(0,0,0,0.75);
		top:0px;
		left: 0px;
	}
	.contenedorGeneral {
		margin: 0px;
		border-radius: 25px;
		overflow: hidden;
	}
	.pantallaLogin {
		margin-top: 15%;
	}
	.login {
		background-color: rgba(255,255,255,1);
		border-radius: 5px;
		padding: 30px;
		box-shadow: 0px 0px 5px rgba(0,0,0,0.3);
	}
	.flexCabecera {
		display: flex;
		background: var(--color-background-principal);
		height: 150px;
		box-shadow: 0px 0px 5px var(--sombra-barraSuperior) !important;
		align-items: center;
		border-right: var(--grosorbordes) solid var(--color-background-general);
	}
	.flexLogo {
		flex: 0 0 var(--tamano-menuLateral);
		padding: 10px;
		height: 150px;
		-webkit-transition: all 0.4s ease;
		-moz-transition: all 0.4s ease;
		transition: all 0.4s ease;
		text-align: center;
		padding: 20px 30px;
	}
	.flexTitulo {
		flex: 1 1 auto;
		padding: 10px;
		-webkit-transition: all 0.4s ease;
		-moz-transition: all 0.4s ease;
		transition: all 0.4s ease;
		text-align: left;
	}
	.flexOpciones {
		flex: 0 1 auto;
		padding: 10px 30px;
		-webkit-transition: all 0.4s ease;
		-moz-transition: all 0.4s ease;
		transition: all 0.4s ease;
		text-align: right;
		font-size: 25px;
	}
	.flexContenedor {
		display: flex;
		flex-flow: row wrap;
		min-height: 100%;
		background: var(--color-background-menuLateral);
	}
	.flexLateral {
		flex: 0 0 var(--tamano-menuLateral);
		-webkit-transition: all 0.4s ease;
		-moz-transition: all 0.4s ease;
		transition: all 0.4s ease;
		padding: 20px 0px;
	}
	.flexPrincipal {
		flex: 1 1 500px;
		background: var(--color-background-principal);
		border-top: var(--grosorbordes) solid var(--color-background-general);
	}
	.barraLicencia {
		flex: 1;
		padding: 20px;
		background: var(--color-primario-oscuro);
		color: var(--color-primario-claro);
		background-image: url('../optimizadasPanel/licencia.jpg');
		background-size: cover;
		-webkit-transition: all 0.4s ease;
		-moz-transition: all 0.4s ease;
		transition: all 0.4s ease;
	}
	.formLicencia {
		flex: 3;
		background: var(--color-contraste);
	}
	h1, h2, h3 {
		font-size: 30px;
		font-weight: var(--grosorTitulos) !important;
		margin: 0px;
	}
	h4{
		font-size: 20px;
		padding: 20px 0px 10px 0px;
		margin-top: 10px;
		color: var(--color-contraste);
		border-top: 1px solid var(--color-primario-claro);
		font-weight: var(--grosorTitulos) !important;
	}
	h5 {
		color: var(--color-primario-oscuro);
		font-weight: var(--grosorTitulos) !important;
	}
	.menuActive {
		margin: 0px -20px;
		padding-top: var(--padding-menuLateral-verticales);
		padding-bottom: var(--padding-menuLateral-verticales);
		padding-left: var(--padding-menuLateral-horizontales);
		padding-right: var(--padding-menuLateral-horizontales);
		background: var(--color-fondo-menuLateral-activo);
	}
	.menuActive i {
		margin-right: 10px;
		font-size: 1.5em;
	}
	.menu {
		margin: 0px -20px;
		padding-top: var(--padding-menuLateral-verticales);
		padding-bottom: var(--padding-menuLateral-verticales);
		padding-left: var(--padding-menuLateral-horizontales);
		padding-right: var(--padding-menuLateral-horizontales);
	}
	.menu i {
		margin-right: 10px;
		font-size: 1.5em;
	}
	.menu:hover {
		background: var(--color-fondo-menuLateral-hover);
		color: var(--color-enlaces-menuLateral-hover);
	}
	.pildora {
		padding: 2px 8px;
		border-radius: 20px;
		background-color: var(--color-primario-oscuro);
		border: 1px solid transparent;
		color: var(--color-contraste);
		margin-right: 5px;
		margin-top: 2px;
		display: inline-block;
		text-align: center;
		min-height: 24px;
	}
	.pildora i {
		margin: 3px 3px 3px 3px !important;
		font-size: 0.9em;
	}
	.eslink:hover {
		background-color: var(--color-contraste) !important;
		color: var(--color-primario-oscuro) !important;
		cursor: pointer !important;
	}
	.iconoTimeline {
		width: 50px;
		height: 50px;
		background-color: var(--color-primario-oscuro);
		color: var(--color-contraste);
		position: absolute;
		margin-left: -65px;
		border-radius: 31px;
		text-align: center;
		padding-top: 15px;
		margin-top: -15px;
	}
	.evento {
		padding-left: 40px;
		padding-top: 40px;
		padding-bottom: 40px;
	}
	.contenedorEventos {
		margin-left: 20px;
		border-left: 1px solid var(--color-bordes);
	}
	.segundaLinea {
		color: var(--color-fuente-subtitulo);
		text-align: justify;
		font-size: 0.9em;
	}
	.row {
		margin: 0px;
	}
	.separacion {
		padding: 30px 40px;!important;
		border-right: var(--grosorbordes) solid var(--color-background-general);
		border-bottom: var(--grosorbordes) solid var(--color-background-general);
	}
	.separacionsinborde {
		padding: 30px 40px;!important;
	}
	.sinseparacion {
		padding: 0px !important;
		border: 0px !important;
	}
	hr {
		border-top: 1px solid var(--color-hr-menuLateral);
		margin: 2rem 0px;
	}
	/*Enlaces--------------------------------------------------------------------*/
	a, table.table a {
		color: var(--color-primario-oscuro);
		text-decoration: underline;
	}
	a:hover, table.table a:hover {
		color: #BABABA;
		text-decoration: underline;
	}
	.menu a {
		color: var(--color-enlaces-menuLateral);
		width: 100%;
		text-decoration: none;
		font-size: 1.1em;
	}
	.menu a:hover, .menu:hover a {
		color: var(--color-enlaces-menuLateral-hover);
		text-decoration: none;
		font-size: 1.1em;
	}
	.flexOpciones a {
		color: var(--color-enlaces-barraSuperior);
		text-decoration: none;
	}
	.flexOpciones a:hover {
		color: var(--color-enlaces-barraSuperior-hover);
		text-decoration: none;
	}
	.menuActive a {
		color: var(--color-enlaces-menuLateral-activo);
		width: 100%;
		text-decoration: none;
		font-size: 1.1em;
	}
	.pildora a {
		color: var(--color-contraste);
	}
	.pildora a:hover {
		color: var(--color-primario-oscuro);
	}
	.card-header a {
		/*color: var(--color-contraste);*/
	}
	.card-header a:hover {
		/*color: var(--color-primario-claro);*/
	}
	
	.no {
		color: #ab2225 !important;
	}
	.yes {
		color: #519d48 !important;
	}
	
	
	
	
	
	/*Formularios--------------------------------------------------------------------*/
	form {
		width: inherit;
		margin: 0px;
	}
	.boton-base {
		background-color: var(--color-primario-oscuro);
		color: var(--color-contraste);
		border: 0px;
		padding: 5px 15px 5px 10px;
		border-radius:3px;
	}
	.boton-base:hover {
		background-color: var(--color-primario-claro);
		color: var(--color-contraste);
		border: 0px;
	}
	.desactivado {
		background-color: lightgray !important;
	}
	.label {
		padding: 10px;
		text-align: right;
		margin-top: auto;
		margin-bottom: auto;
		font-weight: var(--grosorTitulos) !important;
	}
	.zonacampo {
		background-color: var(--color-zonas-campos);
		border-radius: 3px;
		/*box-shadow: 0px 0px 5px rgba(0,0,0,0.1);*/
		margin: 2px -13px;
		padding: 10px 10px;
		border: 1px solid #fff;
		min-height: 78px;
	}
	.zonacampoBlanco {
		background-color: #FFF !important;
		border-radius: 3px;
		/*box-shadow: 0px 0px 5px rgba(0,0,0,0.1);*/
		margin: 2px -13px;
		padding: 10px 10px;
		border: 1px solid #fff;
		min-height: 78px;
	}
	.zonacampo:focus, .zonacampo:active, .zonacampo:hover, .zonacampoBlanco:focus, .zonacampoBlanco:active, .zonacampoBlanco:hover {
		border: 1px solid var(--color-primario-oscuro);
	}
	.enunciado {
		font-weight: var(--grosorTitulos) !important;
		color: var(--color-primario-oscuro);
		margin-bottom: 10px;
		margin-left: 2px;
	}
	.switcher {
		padding-top: 18px;
		padding-bottom: 18px;
	}
	.contenedorSelect {
		margin: 2px 0px;
	}
	.inputs {
		padding: 2px !important;
		margin: 10px 0px 5px 0px !important;
		width: 100% !important;
		/*height: auto !important;*/
		color: var(--color-fuente) !important;
		font-size: 1em !important;
		/*border-radius: 3px;*/
		border-radius: 0px !important;
		border: 0px solid var(--color-bordes-campos) !important;
		border-bottom: 1px solid #DDD !important;
		box-shadow: none !important;
		background-color: var(--color-fondo-campos);
	}
	.inputs:focus {
		background-color: var(--color-fondo-campos);
	}
	.form-control.is-valid, .was-validated .form-control:valid {
		border-color: var(--color-bordes-campos) !important;
		background-image: url("../optimizadasPanel/check.svg") !important;
		box-shadow: none !important;
		font-size: inherit !important;
	}
	.custom-select {
		display: inline-block !important;
		font-family: var(--fuente) !important;
		border: 1px solid var(--color-bordes-campos) !important;
		color: var(--color-fuente) !important;
		background-color: var(--color-fondo-campos);
		padding: 0px 44px 0px 6px !important;
		height: 30px;
	}
	.mdb-select, .select-wrapper input.select-dropdown, .dropdown-content li>span {
		font-size: inherit !important;
		color: var(--color-fuente) !important;
		border: 0px !important;
		height: auto !important;
		line-height: normal !important; 
		margin: 0px;
		padding: 3px;
	}
	.select-dropdown {
	  max-height: 300px!important; /* 30px por opción */
	}
	
	.select-dropdown li {
	  line-height: 25px!important;
	}
	.mdb-select {
		border: 1px solid var(--color-bordes-campos) !important;
		border-radius: .25rem !important;
		background: initial;
		height: 30px!important;
	}
	.mdb-select li{
		padding: 3px;
	}
	.select-wrapper+label {
		top: 0rem !important;
		padding: 12px !important;
	}
	.select-wrapper+label.active{
		display: none;
	}
	.caret {
		font-size: inherit !important;
		right: 10px !important;
		color: var (--color-fuente) !important;
		top: .5rem!important;
	}
	.custom-select.is-valid, .was-validated .custom-select:valid {
		border-color: var(--color-bordes-campos) !important;
		background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 4 5'%3e%3cpath fill='%23343a40' d='M2 0L0 2h4zm0 5L0 3h4z'/%3e%3c/svg%3e") no-repeat right .75rem center/8px 10px,url("../optimizadasPanel/check.svg") no-repeat center right 1.75rem/1.125rem 1.125rem;
		box-shadow: none !important;
		display: inline-block !important;
	}
	.custom-control-input.is-valid~.custom-control-label::before, .was-validated .custom-control-input:valid~.custom-control-label::before {
		border-color: var(--color-bordes-campos) !important;
		box-shadow: none !important;
	}
	.custom-control-input.is-valid:checked~.custom-control-label::before, .was-validated .custom-control-input:valid:checked~.custom-control-label::before, .no-validated .custom-control-input:valid:checked~.custom-control-label::before {
		background-color: var(--color-primario-oscuro) !important;
		border-color: var(--color-bordes-campos) !important;
		box-shadow: none !important;
	}
	.custom-control-label {
		margin-top: -3px !important;
	}
	/*Fin Configuracion Formularios*/
	.custom-switch label {
		padding-top: 3px;
	}
	
	
	
	.powered {
		font-size: 0.8em;
		text-align: center;
		color: var(--color-texto-powered);
		width: var(--calculo-ancho-powered);
		
	}
	.estructuraCentral {
		padding: 0px;
	}
	
	.card {
		box-shadow: initial !important;
   		margin: 0px!important;
   		border-radius: 0px!important;
	}
	.card-header {
		border: 0px !important;
		color: var(--color-titulos);
		background-color: var(--color-cards) !important;
		padding: 20px 0px 20px 0px;
		overflow-x: hidden;
		text-transform: uppercase;
	}
	.card-header-edicion {
		padding-bottom: 10px !important;
	}
	.float-left {
		padding-left: 20px!important;
	}
	.float-right {
		padding-right: 20px!important;
	}
	.card-body {
		padding: 15px 30px 15px 30px;
		overflow-x: hidden;
	}
	.card-footer {
		border: 0px !important;
		color: var(--color-pies);
		padding: 20px;
		background-color: var(--color-cards) !important;
	}
	.card-header-mini, .card-footer-mini {
		padding: 15px;
	}
	.card-body-mini {
		padding: 0px 15px;
	}
	.opciones {
		font-size: 18px !important;
		/*margin-top: 5px;*/
		display: inline;
		text-align: right;
	}
	.filtros {
		border-radius: 15px;
		background-color: var(--color-fondo-filtros);
		margin: 30px 0px;
		padding: 20px;
	}
	.opcion-filtro {
		border-bottom: var(--grosorbordes) solid transparent;
		padding: 10px 15px;
	}
	.opcion-filtro-peq {
		border-bottom: var(--grosorbordes) solid transparent;
		padding: 15px;
		font-size: 0.9em;
	}
	.opcion-filtro.activo, .opcion-filtro-peq.activo {
		border-bottom: var(--grosorbordes) solid var(--color-primario-oscuro);
		color: var(--color-primario-oscuro);
	}
	table {
		margin-top: 0px!important;
		margin-bottom: 0px!important;
		font-size: inherit !important;
		color: (--color-fuente) !important;
		table-layout: fixed;
    	word-wrap: normal;
    	line-height: var(--alturaLinea) !important;
	}
	td {
		font-size: inherit !important;
		border: 0px !important;
		border-bottom: 1px solid var(--color-bordes) !important;
		vertical-align: middle !important;
		padding: 10px !important;
		padding-left: 20px !important;
	}
	.sublinea  {
		background-color: var(--color-primario-claro) !important;
	}
	.sublinea td:hover, .sublinea .table-hover td{
		background-color: transparent !important;
	}
	.table-hover tbody tr:hover td, .table-hover tbody tr:hover th{
	  background-color: var(--color-primario-iluminaciones);
	}
	thead {
		text-align: center;
		font-weight: var(--grosorTitulos) !important;
	}
	.lineaDivision {
		border-top: 1px solid var(--color-primario-oscuro);
		margin-top: 20px;
		padding-top: 20px;
	}
	.lineaDivisionMini {
		border-top: 1px solid var(--color-bordes);
		margin-left: -15px;
		margin-right: -15px;
		padding: 10px 15px;
	}
	.lineaDivisionMini:hover {
		background-color: var(--color-bordes);
		cursor: pointer;
	}
	.dia, .dia:first-child, .dia:last-child {
		text-align: center;
		padding: 15px 20px !important;
	}
	.diaActivo {
		background-color: var(--color-primario-oscuro);
	}
	.diaHoy {
		background-color: var(--color-primario-oscuro);
		color: var(--color-contraste);
	}
	.diaDomingo {
		background-color: var(--color-primario-claro);
		color: var(--color-contraste);
	}
	.dia:hover {
		background-color: var(--color-primario-iluminaciones);
		color: var(--color-fuentes);
		cursor: pointer;
	}
	.eventoDia {
		background-color: var(--color-primario-iluminaciones);
		padding: 8px 2px;
		border-radius: 20px;
		text-align: center;
		max-width: 93px;
	}
	.diaHoy .eventoDia {
		background-color: var(--color-contraste);
		color: var(--color-primario-oscuro);
		padding: 8px 5px;
		border-radius: 20px;
		text-align: center;
		max-width: 93px;
	}
	.diaHoy:hover .eventoDia {
		background-color: var(--color-primario-oscuro);
		color: var(--color-contraste);
	}
	.diaDomingo .eventoDia {
		background-color: var(--color-contraste);
		color: var(--color-primario-oscuro);
		padding: 8px 5px;
		border-radius: 20px;
		text-align: center;
		max-width: 93px;
	}
	.diaDomingo:hover .eventoDia {
		background-color: var(--color-primario-claro);
	}
	
/*GENERALES*/
	.stop-scrolling {
	  height: 100%;
	  overflow: hidden;
	}
	.desplegable {
		position: absolute;
		z-index: 502 !important;
		width: auto;
		overflow: scroll;
		border-radius: 3px;
		box-shadow: 0px 0px 20px var(--color-sombras) !important;
		-webkit-transition: -webkit-filter 0.3s; /* Safasi */
		-moz-transition: -webkit-filter 0.3s;
   		transition: -webkit-filter 0.3s;
    	-webkit-filter: blur(0px);
	}
	.avisos {
		width: 80%;
		overflow: auto;
		position: fixed !important;
		z-index: 501 !important;
		box-shadow: 0px 0px 3px var(--color-sombras) !important;
		background: var(--color-contraste);
		opacity: 0;
		border-radius: 0px 0px 1rem 1rem;
		-webkit-transition: -webkit-filter 0.3s; /* Safasi */
		-moz-transition: -webkit-filter 0.3s;
   		transition: -webkit-filter 0.3s;
    	-webkit-filter: blur(0px);
	}
	.notificaciones {
		width: 80%;
		overflow: scroll;
		position: fixed !important;
		z-index: 503 !important;
		box-shadow: 0px 0px 3px var(--color-sombras) !important;
		background: var(--color-contraste);
		opacity: 0;
		border-radius: 3px;
		-webkit-transition: all 0.4s ease;
		-moz-transition: all 0.4s ease;
		transition: all 0.4s ease;
	}
	.video {
		width: 100%;
		height: 100%;
		position: fixed !important;
		z-index: 504 !important;
		top:0px;
		left: 0px;
	   justify-content: center !important;
	   align-items: center !important;
		background-color: #FFF;
		-webkit-transition: all 0.4s ease;
		-moz-transition: all 0.4s ease;
		transition: all 0.4s ease;
		background-image: url('../optimizadasPanel/filigrana.jpg');
		background-repeat: repeat;
		opacity: 0;
		
	}
	.ponerBlur {
		-webkit-filter: blur(10px);
	}
	.avatar {
		border-radius: 50%;
		overflow: hidden;
		margin-right: 10px;
		max-width: 60px;
		max-height: 60px;
		border: 2px solid rgba(0,0,0,0.1);
	}
	.entradilla {
		text-transform: initial !important;
		/*background-color: var(--color-primario-iluminaciones);
		border-radius: 3px;
		padding: 10px;
		margin-bottom: 10px;*/
	}
	
	.box {
  position: relative;
  max-width: 600px;
  width: 90%;
  height: 400px;
  background: #fff;
  box-shadow: 0 0 15px rgba(0,0,0,.1);
}

/* common */
.ribbon {
  width: 150px;
  height: 150px;
  overflow: hidden;
  position: absolute;
}
.ribbon::before,
.ribbon::after {
  position: absolute;
  z-index: -1;
  content: '';
  display: block;
  border: 5px solid #2980b9;
}
.ribbon span {
  position: absolute;
  display: block;
  width: 225px;
  padding: 15px 0;
  box-shadow: 0 5px 10px rgba(0,0,0,.1);
  color: #fff;
  font: 700 16px/1;
  text-shadow: 0 1px 1px rgba(0,0,0,.2);
  text-transform: uppercase;
  text-align: center;
}

/* top left*/
.ribbon-top-left {
  top: -10px;
  left: -10px;
}
.ribbon-top-left::before,
.ribbon-top-left::after {
  border-top-color: transparent;
  border-left-color: transparent;
}
.ribbon-top-left::before {
  top: 0;
  right: 0;
}
.ribbon-top-left::after {
  bottom: 0;
  left: 0;
}
.ribbon-top-left span {
  right: -18px;
  top: 30px;
  transform: rotate(-45deg);
}

/* top right*/
.ribbon-top-right {
  top: -10px;
  right: -10px;
}
.ribbon-top-right::before,
.ribbon-top-right::after {
  border-top-color: transparent;
  border-right-color: transparent;
}
.ribbon-top-right::before {
  top: 0;
  left: 0;
}
.ribbon-top-right::after {
  bottom: 0;
  right: 0;
}
.ribbon-top-right span {
  left: -25px;
  top: 30px;
  transform: rotate(45deg);
}

/* bottom left*/
.ribbon-bottom-left {
  bottom: -10px;
  left: -10px;
}
.ribbon-bottom-left::before,
.ribbon-bottom-left::after {
  border-bottom-color: transparent;
  border-left-color: transparent;
}
.ribbon-bottom-left::before {
  bottom: 0;
  right: 0;
}
.ribbon-bottom-left::after {
  top: 0;
  left: 0;
}
.ribbon-bottom-left span {
  right: -25px;
  bottom: 30px;
  transform: rotate(225deg);
}

/* bottom right*/
.ribbon-bottom-right {
  bottom: -10px;
  right: -10px;
}
.ribbon-bottom-right::before,
.ribbon-bottom-right::after {
  border-bottom-color: transparent;
  border-right-color: transparent;
}
.ribbon-bottom-right::before {
  bottom: 0;
  left: 0;
}
.ribbon-bottom-right::after {
  top: 0;
  right: 0;
}
.ribbon-bottom-right span {
  left: -25px;
  bottom: 30px;
  transform: rotate(-225deg);
}
	/*@media (min-width: 1200px) and (max-width: 1800px) {
		.segundaLinea {
			display: none !important;
		}
	}*/
	
	/*Pantallas .col-xl- */
	@media (max-width: 1200px) {
		.pantallaLogin {
			margin-top: 5%;
		}
		.flexLogo {
			flex: 0 0 200px;
		}
		.flexLateral {
			flex: 0 0 100px;
		}
		.menu, .menuActive {
			text-align: center;
		}
		.powered {
			width: 60px; 
		}	
	}
	/*Pantallas .col-sm- */
	@media (max-width: 768px) {
		.estructuraCentral {
			padding: 0px;
		}
		.seccionMovil {
			margin: 0px;
			padding: 10px;
		}
		.pantallaLogin {
			margin-top: 30px;
		}
		.flexCabecera {
			flex-flow: column nowrap;
		}
		.flexLogo {
			flex: 1 1 100%;
		}
		.flexContenedor {
			flex-flow: column nowrap;
		}
		.menu, .menuActive {
			text-align: left;
		}
		h1, h2 { font-size: 30px !important; }
		.label { text-align: left; padding-bottom: 0px;}
		.card-header, .card-body, .card-footer { padding: 20px; }
		.powered {
			width: 100%;
			position: relative;
		}
		body {
			font-size: 0.6em !important;
		}
	}
	@media (min-width: 768px) {
		.navbar-expand-md .navbar-collapse {
			display: block !important;		
		}
	}
	
::-webkit-input-placeholder {
   color: #CCC !important;
   text-shadow: none;
   font-weight: var(--grosorFuente) !important;
}
:-moz-placeholder { /* Firefox 18- */
   color: #CCC !important;
   text-shadow: none;
   font-weight: var(--grosorFuente) !important;
}
::-moz-placeholder {  /* Firefox 19+ */
   color: #CCC !important;
   text-shadow: none;
   font-weight: var(--grosorFuente) !important;
}
:-ms-input-placeholder {  
   color: #CCC !important;
   text-shadow: none;
   font-weight: var(--grosorFuente) !important;
}